/**
 * classe VoitureSport
 * @author Matthias Colin
 * @version 1.0 (9/06/2009)
 */

import java.awt.Color;

public class VoitureSport extends Voiture {

	// numéro de série de la classe pour sérialisation
	private static long serialVersionUID = 9876543210L;

	// propriété supplémentaire de la voiture de sport
	private int nombreChevaux; 

	/**
	 * constructeur de la classe VoitureSport
	 * @param couleur la couleur de la voiture
	 * @param marque la marque de la voiture
	 * @param modele le modèle de la voiture
	 * @param nombreChevaux le nombre de chevaux de la voiture
	 */
	public VoitureSport(Color couleur, String marque, String modele, 
			int nombreChevaux) {
		super(couleur, marque, modele);
		this.nombreChevaux = nombreChevaux;
	}

	/**
	 * maj du nombre de chevaux de la voiture
	 * @param nombreChevaux le nouveau nombre de chevaux
	 */
	public void setNombreChevaux(int nombreChevaux) {
		this.nombreChevaux = nombreChevaux;
	}

	/**
	 * obtenir le nombre de chevaux
	 * @return le nombre chevaux
	 */
	public int getNombreChevaux() {
		return this.nombreChevaux;
	}

	/**
	 * pour faire accélérer la voiture
	 */
	@Override
	public void accelerer() {
		System.out.println("accélération d'une voiture de sport");
	}

	/**
	 * représentation d'une voiture de sport sous la forme d'une chaîne
	 * de caractères
	 * @return la chaîne représentant la voiture de sport
	 */
	public String toString() {
		return super.toString() + " et " + nombreChevaux + " chevaux";
	}

}
